Package org.bukkit.block.data.type

# Enum Class SculkSensor.Phase

java.lang.Object
java.lang.Enum<SculkSensor.Phase>
org.bukkit.block.data.type.SculkSensor.Phase

All Implemented Interfaces:
  `Serializable`, `Comparable<SculkSensor.Phase>`, `Constable`

Enclosing interface:
  SculkSensor

public static enum SculkSensor.Phase extends Enum<SculkSensor.Phase>
The Phase of the sensor.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTIVE`
The sensor is active.
`COOLDOWN`
The sensor is cooling down.
`INACTIVE`
The sensor is inactive.

## Method Summary

Modifier and Type
Method
Description
`static SculkSensor.Phase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SculkSensor.Phase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INACTIVE

public static final SculkSensor.Phase INACTIVE
The sensor is inactive.

### ACTIVE

public static final SculkSensor.Phase ACTIVE
The sensor is active.

### COOLDOWN

public static final SculkSensor.Phase COOLDOWN
The sensor is cooling down.

## Method Details

### values

public static SculkSensor.Phase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SculkSensor.Phase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null